Show / Hide Table of Contents

# Enum SDL.SDL_EventType

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public enum SDL_EventType : uint

### Fields

Name | Description
--- | ---
SDL_APP_DIDENTERBACKGROUND |
SDL_APP_DIDENTERFOREGROUND |
SDL_APP_LOWMEMORY |
SDL_APP_TERMINATING |
SDL_APP_WILLENTERBACKGROUND |
SDL_APP_WILLENTERFOREGROUND |
SDL_AUDIODEVICEADDED |
SDL_AUDIODEVICEREMOVED |
SDL_CLIPBOARDUPDATE |
SDL_CONTROLLERAXISMOTION |
SDL_CONTROLLERBUTTONDOWN |
SDL_CONTROLLERBUTTONUP |
SDL_CONTROLLERDEVICEADDED |
SDL_CONTROLLERDEVICEREMAPPED |
SDL_CONTROLLERDEVICEREMOVED |
SDL_DISPLAYEVENT |
SDL_DOLLARGESTURE |
SDL_DOLLARRECORD |
SDL_DROPBEGIN |
SDL_DROPCOMPLETE |
SDL_DROPFILE |
SDL_DROPTEXT |
SDL_FINGERDOWN |
SDL_FINGERMOTION |
SDL_FINGERUP |
SDL_FIRSTEVENT |
SDL_JOYAXISMOTION |
SDL_JOYBALLMOTION |
SDL_JOYBUTTONDOWN |
SDL_JOYBUTTONUP |
SDL_JOYDEVICEADDED |
SDL_JOYDEVICEREMOVED |
SDL_JOYHATMOTION |
SDL_KEYDOWN |
SDL_KEYMAPCHANGED |
SDL_KEYUP |
SDL_LASTEVENT |
SDL_MOUSEBUTTONDOWN |
SDL_MOUSEBUTTONUP |
SDL_MOUSEMOTION |
SDL_MOUSEWHEEL |
SDL_MULTIGESTURE |
SDL_QUIT |
SDL_RENDER_DEVICE_RESET |
SDL_RENDER_TARGETS_RESET |
SDL_SENSORUPDATE |
SDL_SYSWMEVENT |
SDL_TEXTEDITING |
SDL_TEXTINPUT |
SDL_USEREVENT |
SDL_WINDOWEVENT |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()